Bug 582243 - RFE Add alert condition which compare one metric to another
RFE Add alert condition which compare one metric to another
Status: NEW
Product: JBoss Operations Network
Classification: JBoss
Component: Monitoring - Alerts (Show other bugs)
JON 2.4.0,JON 2.4.2,JON 3.0.0,JON 2.4.1,JON 3.0.1,JON 3.1.0,JON 3.1.1
All Linux
unspecified Severity medium
: ---
: JON 4.0.0
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-14 09:27 EDT by dsteigne
Modified: 2015-03-18 05:08 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker PRODMGT-31 Major Pending Product Management Triage Alerts need to be able to compare two resource metrics to one another 2016-02-01 06:29 EST
JBoss Issue Tracker PRODMGT-95 Major Closed Ability to perform size relation comparisons of pools when creating alert templates/definitions (cur_size [==|<=|>=|!=] ... 2016-02-01 06:29 EST
Red Hat Knowledge Base (Solution) 906473 None None None Never

  None (edit)
Description dsteigne 2010-04-14 09:27:49 EDT
When I configure an alert's template on Datasource resource, it seems to be inpossible to fire the alert when active connections represents 50% of the max-pool-size. I've tried to do it with "active Connections > 50.0% of Max Value" but Max Value, here, is not the max-pool-size.
The only solution I see for the moment is to make an alert on absolute value but, as the value max-pool-size is not the same on every datasource, it could be a heavy work to configure this alert on each datasource manually (and we loose the great advantage of templates to have automatic alerting for coming new datasource)
Comment 1 Lukas Krejci 2011-01-20 15:50:37 EST
This is going to be hard(ish).

AFAIK, the alert subsystem condition cache assumes that a value to compare a metric with is stored in the condition itself.

What is required here is that both values to be compared come from the measurement report. Today the conditions are checked in a very "simple" manner by merely iterating over a set of measurements and checking conditions for each by comparing the measured value with the value stored in the condition. 

We'd need a new type of alert condition that would not hold a value but would provide a matches() method that would take in two values. We'd also need a lookup mechanism to obtain the two values to match. The trouble is that there is no guarantee that the two values that should participate in the condition are going to be in the set of the processed measurements (the agent plugins are free to not provide a metric value when asked for it). Therefore we'd need another DB/cache lookup of the value before we could pass it to the condition "processor". 

Note that because of the nature of the measurement collection there would be no difference between comparing values coming from the same resource and values from different resources.
Comment 2 Larry O'Leary 2011-11-21 10:40:24 EST
Please note that this RFE is for all metrics and the datasource metric provided in the description is only an example.
Comment 3 Charles Crouch 2011-12-20 15:50:28 EST
worked with lukas directly
Comment 5 Larry O'Leary 2013-06-03 14:58:52 EDT
Moving to JBoss ON BZ as this is from downstream.
Comment 6 Thomas Heute 2013-07-26 09:28:25 EDT
Larry, I think we agreed to deferred that one ?
Comment 7 Larry O'Leary 2013-07-26 11:40:10 EDT
From PRODMGT-31 this was accepted and would be considered as part of the 4.0 payload.

Note You need to log in before you can comment on or make changes to this bug.